diff a/src/hotspot/share/oops/klass.inline.hpp b/src/hotspot/share/oops/klass.inline.hpp
--- a/src/hotspot/share/oops/klass.inline.hpp
+++ b/src/hotspot/share/oops/klass.inline.hpp
@@ -177,6 +177,11 @@
   // never instantiated classes out of class space lessens the class space pressure.
   // For more details, see JDK-8338526.
   // Note: don't call this function before access flags are initialized.
   return !is_abstract() && !is_interface();
 }
+
+inline size_t Klass::oop_size(oop obj) const {
+  return oop_size(obj, obj->mark());
+}
+
 #endif // SHARE_OOPS_KLASS_INLINE_HPP
